package Common.Visual.Tables;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;

import javax.swing.*;
import java.util.Vector;
public class RendererHiddenList extends RendererCell<Vector<String>> {
    @Override
    public Vector<String> Init(JTable table, Object value, int row, int column) {
        return (Vector<String>) value;
    }
    @Override
    public void Display() {
        setText(String.join(";", value));
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.TreePlain).deriveFont(12.0f));
    }
}
